./devel/ruby-rcsparse, RCS parsing library for Ruby

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 0.0.0.47, Package name: ruby200-rcsparse-0.0.0.47, Maintainer: pkgsrc-users

A Ruby library for parsing RCS files.


Required to run:
[lang/ruby200-base]

Master sites:

SHA1: 279d06f6c9c00a61cf0a857bb3a7b796e4c9ad59
RMD160: 6fd2694970a49b1f15ca770766cb707067270392
Filesize: 142.871 KB

Version history: (Expand)


CVS history: (Expand)


   2015-11-03 04:29:40 by Alistair G. Crooks | Files touched by this commit (1995)
Log message:
Add SHA512 digests for distfiles for devel category

Issues found with existing distfiles:
	distfiles/eclipse-sourceBuild-srcIncluded-3.0.1.zip
	distfiles/fortran-utils-1.1.tar.gz
	distfiles/ivykis-0.39.tar.gz
	distfiles/enum-1.11.tar.gz
	distfiles/pvs-3.2-libraries.tgz
	distfiles/pvs-3.2-linux.tgz
	distfiles/pvs-3.2-solaris.tgz
	distfiles/pvs-3.2-system.tgz
No changes made to these distinfo files.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-02-01 17:36:32 by Takahiro Kambe | Files touched by this commit (3) | Package updated
Log message:
Update ruby-rcsparse to 0.0.0.47 which is latest revision on GitHub,
60871fde79db91aed56b3974e8ebc829342d18e8.

* Now it compatible on newer Ruby.
* License is gnu-agpl-v3.
   2013-05-26 03:44:44 by Ryo ONODERA | Files touched by this commit (2) | Package updated
Log message:
Update to 0.0.0.46.

* Update HOMEPAGE and MASTER_SITES.
* Supported ruby version is 1.8.x only.

Changelog:
* bugfixes
   2012-10-31 12:19:55 by Aleksej Saushev | Files touched by this commit (1460)
Log message:
Drop superfluous PKG_DESTDIR_SUPPORT, "user-destdir" is default these days.
   2011-02-21 17:01:24 by Takahiro Kambe | Files touched by this commit (80) | Package updated
Log message:
Bump PKGREVISION due to ABI change of ruby18-base.
   2010-09-10 08:19:50 by Takahiro Kambe | Files touched by this commit (2)
Log message:
Add a patch to support both ruby18 and ruby19.

No functional change.
   2009-08-09 00:59:41 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
Update to 45:
do not treat a failed rcscheckout() as system failure

A failed checkout is not necessarily caused by a solid system error, but
can be also caused by a faulty RCS file. Do not use rb_sys_fail(), since
it will abort() if errno == 0. Instead, simply raise a RuntimeError.

Reported-by: Brad King

check deltas for correctness before applying

We can not blindly trust the RCS file to contain correct deltas. We have
to verify that the chunks (especially deletes) make sense and operate on
existing lines.

Reported-by: Brad King
   2009-05-19 10:59:39 by Thomas Klausner | Files touched by this commit (383)
Log message:
Use standard location for LICENSE line (in MAINTAINER/HOMEPAGE/COMMENT
block). Uncomment some commented out LICENSE lines while here.